Subject: Re: Last Call: <draft-weil-shared-transition-space-request-14.txt> (IANA Reserved IPv4 Prefix for Shared Address Space) to BCP

From: [email-masked] (Noel Chiappa)
Date: Mon, 13 Feb 2012 16:46:52 -0500 (EST)

> From: Doug Barton <[email-masked]>

    > I haven't kept up to date on all of the RIRs' policies for granting
    > requests, but I don't recall seeing "give me a huge block so that I
    > can do CGN" as one of the established criteria.

An ISP needs a block of size X for CGN only if it has X customers, right?  So
they can legitimately go to an RIR and say "I have X customers, please give me
a block of size X". The fact that the block is not then advertized globally,
but only used to number their CGN'd network, is neither here nor there.

Needless to say, if multiple ISPs do this, it will use _more_ address space
than simply giving them all a CGN block to share. (Unless that's the _actual_
goal in opposing this, of course.)

    > I've already covered all the reasons I don't buy this in detail.

I can repeat "2+2=5" as many times as I like, but that won't make it true.

	Noel

---

From: Doug Barton <[email-masked]>
Date: Mon, 13 Feb 2012 14:32:42 -0800

> but only used to number their CGN'd network, is neither here nor there.

If they have a legitimate need for "more customers -> more space" I have
no problem with that. If they lie on their application about what they
are using it for ...

> goal in opposing this, of course.)

Um, no. I'm not trying to accelerate IPv4 runout. I get that it's an
important problem, and I've been working on solutions for it for many
years. But that doesn't mean I buy the arguments that have been put
forward so far about why this new block is "necessary" either.

> I can repeat "2+2=5" as many times as I like, but that won't make it true.

2+2!=5 is a fact. What you and I are talking about are opinions. I
happen to think that my opinions are better grounded in facts and
knowledge about the topic than yours are, but at the end of the day we
could both be wrong about what actually does or doesn't happen.

Doug

-- 

	It's always a long day; 86400 doesn't fit into a short.

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/